Debian-Repository: ungültige Signatur

Beim Versuch eines Paketupdates per apt-get update im Terminal, erhielt ich folgende Fehlermeldung:

W: Während der Überprüfung der Signatur trat ein Fehler auf. Das Repository wurde nicht aktualisiert und die vorherigen Indexdateien werden verwendet. GPG-Fehler: http://ftp.de.debian.org squeeze-updates Release: Die folgenden Signaturen waren ungültig: BADSIG AED4B06F473041FA Debian Archive Automatic Signing Key (6.0/squeeze)


W: Fehlschlag beim Holen von http://ftp.de.debian.org/debian/dists/squeeze-updates/Release


W: Einige Indexdateien konnten nicht heruntergeladen werden, sie wurden ignoriert oder alte an ihrer Stelle benutzt.

 

Abhilfe schaffte die Aktualisierung des keyrings mit folgendem Befehl:

apt-get install -t unstable debian-keyring debian-archive-keyring

Danach war die Aktualisierung wieder problemlos möglich. Manchmal kann es sinnvoll sein den keyring komplett zu entfernen und dann neu zu installieren. Das wäre mit folgenden Befehlen möglich:

dpkg --purge debian-archive-keyring
apt-get install debian-archive-keyring

 

 

Schreibe einen Kommentar

Deine E-Mail-Adresse wird nicht veröffentlicht. Erforderliche Felder sind mit * markiert.